﻿@model IEnumerable<crm.Domain.Entity.Produit>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Listes des produits</h2>


@using (Html.BeginForm())
{<table>
        <tr>
            <td>
                <div>
                    Recherche par nom produit: @Html.TextBox("filtre")
                </div>
            </td>
            <td> <input type="submit" value="Search" id="submit" /> </td>
        </tr>
    </table>}





<p>
    @Html.ActionLink("Ajouter Produit", "Create")
</p>
<table class="table">
    <tr>

        <th>
            @Html.DisplayNameFor(model => model.nomProd)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.unite)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.qte)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.qteMin)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.prix)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.image)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.categorie.nomCategorie)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.magasin.nomMagasin)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>

            <td>
                @Html.DisplayFor(modelItem => item.nomProd)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.unite)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.qte)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.qteMin)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.prix)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.description)
            </td>
            <td>
                @{string path = "~/Content/Upload/" + @item.image;}
                @*enlever label for pour afficher seulement l'image*@
                <img src="@Url.Content(path)" width="50" height="50" />

            </td>
            <td>
                @Html.DisplayFor(modelItem => item.categorie.nomCategorie)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.magasin.nomMagasin)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.ProduitId }) |
                @Html.ActionLink("Details", "Details", new { id = item.ProduitId }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.ProduitId })
            </td>
        </tr>
    }

</table>
